<?php declare(strict_types=1);

use Lubiana\CodeQuality\LubiSetList;
use Rector\CodingStyle\Rector\Closure\StaticClosureRector;
use Rector\Config\RectorConfig;

return RectorConfig::configure()
    ->withPaths([
        __DIR__ . '/bin',
        __DIR__ . '/public',
        __DIR__ . '/src',
        __DIR__ . '/config',
        __DIR__ . '/tests',
    ])
    ->withRootFiles()
    ->withSkip([
        StaticClosureRector::class => [__DIR__ . '/tests'],
    ])
    ->withSets([LubiSetList::RECTOR]);
